Bug 1346457 - Review Request: cava - Console-based Audio Visualizer for ALSA
Summary: Review Request: cava - Console-based Audio Visualizer for ALSA
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christos Triantafyllidis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 21:26 UTC by Raphael Groner
Modified: 2016-09-27 16:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 16:20:40 UTC
christos.triantafyllidis: fedora-review?


Attachments (Terms of Use)

Description Raphael Groner 2016-06-14 21:26:24 UTC
Spec URL: https://raphgro.fedorapeople.org/review/util/cava.spec
SRPM URL: https://raphgro.fedorapeople.org/review/util/cava-0.4.1-1.20160413git6ed3387.fc24.src.rpm
Description: Console-based Audio Visualizer for Alsa
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14490583

Comment 1 Raphael Groner 2016-06-14 21:30:12 UTC
TODO: unbundle iniparser but new API, see bug #1346451.

Comment 2 Raphael Groner 2016-06-14 21:38:32 UTC
- fixed missing build dependencies

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14490670

Comment 3 Christos Triantafyllidis 2016-07-18 11:21:03 UTC
Hello,

I'm taking this but expect an update by the end of the week.

Cheers,
Christos

Comment 4 Christos Triantafyllidis 2016-07-21 20:40:16 UTC
While not a formal review, I think the main issue here is the bundled version.

I'd say let's wait first for a response from the iniparser maintainer and whether we can upgrade to 4.0 (I understand there is an ABI change so that might not be that easy).

I see you raised already a ticket to the maintainer, I'll post an update there too.

Comment 5 Raphael Groner 2016-07-29 14:13:11 UTC
This review is blocked till iniparser update done to properly unbundle. Thanks for your interest in this package.

Comment 6 Christos Triantafyllidis 2016-08-21 16:21:38 UTC
Hello,

Can you please update the spec/build so that it will use the updated iniparser?

Cheers,
Christos

Comment 7 Raphael Groner 2016-08-28 14:53:41 UTC
Thanks for the reminder. I want to build cava for F24+ at least. Since F24 still has iniparser 3.1, it is not of much sense to continue the package review.

Comment 8 Raphael Groner 2016-09-10 16:35:06 UTC
In latest snapshot upstream supports now to unbundle iniparser, also version 3. Please be aware that we build against iniparser 4.0 in Rawhide but still 3.1 in other Fedoras.

Spec URL: https://raphgro.fedorapeople.org/review/util/cava.spec
SRPM URL: https://raphgro.fedorapeople.org/review/util/cava-0.4.1-2.20160909git0360e88.fc24.src.rpm
Description: Console-based Audio Visualizer for ALSA

Test builds: https://copr.fedorainfracloud.org/coprs/raphgro/review/package/cava/

Comment 9 Christos Triantafyllidis 2016-09-10 17:52:08 UTC
Hello Raphael,

While I'll be reviewing the rest can you please have a look at the only issue flagged by fedora-reviewer:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

AutoTools: Obsoleted m4s found
------------------------------
  AM_PROG_LIBTOOL found in: cava-
  0360e8872e405ca1bbd09d290e9e1b87b4be60e4/configure.ac:9


Expect an update with the full review results later today or tomorrow (no need to upload a new SPEC/SRPM before my full review).

Cheers,
Christos

Comment 10 Christos Triantafyllidis 2016-09-11 23:48:13 UTC
Hello,

I'll first summarize the things that either need clarification or change:
[?]: Package functions as described.
- Although I didn't receive any error I didn't manage to get it visualize anything (on fedora 24). It probably is my application config though.

[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
- I do understand what you do with the nogit patch but could you please add a comment above it explaining why it is added? I don't think that needs an upstream bug report.

[!]: %check is present and all tests pass.
- I didn't find any tests upstream, are there any we can use?

[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
- See my comments in the previous update

Following the full review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 20 files have
     unknown license. Detailed output of licensecheck in
     /home/ctrianta/FedoraReviews/1346457-cava/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
     Note: Multiple Release: tags found
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in cava-
     debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cava-0.4.1-2.20160909git0360e88.fc26.x86_64.rpm
          cava-debuginfo-0.4.1-2.20160909git0360e88.fc26.x86_64.rpm
          cava-0.4.1-2.20160909git0360e88.fc26.src.rpm
cava.x86_64: W: no-manual-page-for-binary cava
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: cava-debuginfo-0.4.1-2.20160909git0360e88.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
cava.x86_64: W: no-manual-page-for-binary cava
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
cava-debuginfo (rpmlib, GLIBC filtered):

cava (rpmlib, GLIBC filtered):
    iniparser
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libasound.so.2(ALSA_0.9.0rc4)(64bit)
    libc.so.6()(64bit)
    libfftw3.so.3()(64bit)
    libiniparser.so.0()(64bit)
    libm.so.6()(64bit)
    libncursesw.so.6()(64bit)
    libpthread.so.0()(64bit)
    libtinfo.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
cava-debuginfo:
    cava-debuginfo
    cava-debuginfo(x86-64)

cava:
    cava
    cava(x86-64)



Source checksums
----------------
https://github.com/karlstav/cava/archive/0360e8872e405ca1bbd09d290e9e1b87b4be60e4.tar.gz#/cava-0360e8872e405ca1bbd09d290e9e1b87b4be60e4.tar.gz :
  CHECKSUM(SHA256) this package     : f9d81235e56561507a9c3c738c8c08b5878202288e5c936ee19a2c96f7218ea5
  CHECKSUM(SHA256) upstream package : f9d81235e56561507a9c3c738c8c08b5878202288e5c936ee19a2c96f7218ea5


AutoTools: Obsoleted m4s found
------------------------------
  AM_PROG_LIBTOOL found in: cava-
  0360e8872e405ca1bbd09d290e9e1b87b4be60e4/configure.ac:9



Cheers,
Christos

Comment 11 Raphael Groner 2016-09-27 16:20:40 UTC
Hi Christos,

thanks for your comments that are absolutely valid to mention. But because of lost interest on my side in a package for cava, I'll close this review for proper house keeping.

Thanks for your time. Feel free to open another review request and take this one as a base.


Note You need to log in before you can comment on or make changes to this bug.